package com.unipi.talepis.springjoindemo1;

import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.ManyToMany;
import jakarta.persistence.OneToMany;

import java.util.List;

@Entity
public class Student {
    @Id
    private String studentId;
    private String name;
    private String email;

    @ManyToMany
    List<Course> courses;

    public List<Course> getCourses() {
        return courses;
    }

    public List<Telephone> getTelephones() {
        return telephones;
    }

    @OneToMany
    List<Telephone> telephones;

    public Student() {
    }

    public Student(String studentId, String name, String email) {
        this.studentId = studentId;
        this.name = name;
        this.email = email;
    }

    public String getStudentId() {
        return studentId;
    }

    public void setStudentId(String studentId) {
        this.studentId = studentId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }
}
